--==========================================================
-- Design units : Single Pulser Testbench (entity, architecture
--                and configuration)
--
-- File name    : SinglePulserTestbench.vhd
--
-- Purpose      : Testbench for simulation of Single Pulser
--
-- Limitations  : none
--
-- Library      : work
--
-- Dependencies : ELEMpack, SinglePulserStruc, SinglePulserStim
--
-- Author       : Claus-Juergen Thomas, REFT
--
-- Simulator    : Synopsys V3.1a on SUN SPARCstation 10
--
-------------------------------------------------------------
-- Revision list
-- Version Author Date           Changes
--
-- V1.0    cjt    16.11.95       new
--===========================================================
LIBRARY ieee;
USE ieee.std_logic_1164.all;
USE work.ELEMpack.all;
USE work.SINGLEpack.all;

ENTITY SinglePulser_Testbench IS
END SinglePulser_Testbench;

--============================ARCHITECTURE==================

ARCHITECTURE Structure OF SinglePulser_Testbench IS

  SIGNAL Pulse_In, Clk, Pulse_Out: std_logic;

  BEGIN

    MUT : SinglePulserStruc
    PORT MAP(Pulse_In,
             Clk,
             Pulse_Out);

    STIM : SinglePulserStim
    PORT MAP(Pulse_In,
             Clk);

END structure;

--============================CONFIGURATIONARCHITECTURE==================

CONFIGURATION SinglePulser_Testbench_Config OF SinglePulser_Testbench IS

  FOR Structure

    FOR MUT : SinglePulserStruc
      USE ENTITY work.SinglePulserStruc(Structure);
    END FOR;

    FOR STIM : SinglePulserStim
      USE ENTITY work.SinglePulserStim(Behavior);
    END FOR;
  
  END FOR;

END SinglePulser_Testbench_Config;
